org.apache.ode.bpel.pmapi

## Interface GetCommunicationResponse

- All Superinterfaces:
    org.apache.xmlbeans.XmlObject, org.apache.xmlbeans.XmlTokenSource
  All Known Implementing Classes:
    GetCommunicationResponseImpl

      public interface GetCommunicationResponse
      extends org.apache.xmlbeans.XmlObject

  An XML GetCommunicationResponse(@http://www.apache.org/ode/pmapi/types/2006/08/02/). This is a complex type.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `GetCommunicationResponse.Factory` A factory class with static methods for creating instances of this type.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static org.apache.xmlbeans.SchemaType` | `type`

    - ### Fields inherited from interface org.apache.xmlbeans.XmlObject

      `EQUAL, GREATER_THAN, LESS_THAN, NOT_EQUAL`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `CommunicationType` | `addNewRestoreInstance()` Appends and returns a new empty value (as xml) as the last "restoreInstance" element
    `CommunicationType[]` | `getRestoreInstanceArray()` Deprecated.
    `CommunicationType` | `getRestoreInstanceArray(int i)` Gets ith "restoreInstance" element
    `java.util.List<CommunicationType>` | `getRestoreInstanceList()` Gets a List of "restoreInstance" elements
    `CommunicationType` | `insertNewRestoreInstance(int i)` Inserts and returns a new empty value (as xml) as the ith "restoreInstance" element
    `void` | `removeRestoreInstance(int i)` Removes the ith "restoreInstance" element
    `void` | `setRestoreInstanceArray(CommunicationType[] restoreInstanceArray)` Sets array of all "restoreInstance" element
    `void` | `setRestoreInstanceArray(int i, CommunicationType restoreInstance)` Sets ith "restoreInstance" element
    `int` | `sizeOfRestoreInstanceArray()` Returns number of "restoreInstance" element

    - ### Methods inherited from interface org.apache.xmlbeans.XmlObject

      `changeType, compareTo, compareValue, copy, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

    - ### Methods inherited from interface org.apache.xmlbeans.XmlTokenSource

      `documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLInputStream, newXMLInputStream, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

- - ### Field Detail

    - #### type

          static final org.apache.xmlbeans.SchemaType type

  - ### Method Detail

    - #### getRestoreInstanceList

          java.util.List<CommunicationType> getRestoreInstanceList()

      Gets a List of "restoreInstance" elements

    - #### getRestoreInstanceArray

          @Deprecated
          CommunicationType[] getRestoreInstanceArray()

      Deprecated.
      Gets array of all "restoreInstance" elements

    - #### getRestoreInstanceArray

          CommunicationType getRestoreInstanceArray(int i)

      Gets ith "restoreInstance" element

    - #### sizeOfRestoreInstanceArray

          int sizeOfRestoreInstanceArray()

      Returns number of "restoreInstance" element

    - #### setRestoreInstanceArray

          void setRestoreInstanceArray(CommunicationType[] restoreInstanceArray)

      Sets array of all "restoreInstance" element

    - #### setRestoreInstanceArray

          void setRestoreInstanceArray(int i,
                                     CommunicationType restoreInstance)

      Sets ith "restoreInstance" element

    - #### insertNewRestoreInstance

          CommunicationType insertNewRestoreInstance(int i)

      Inserts and returns a new empty value (as xml) as the ith "restoreInstance" element

    - #### addNewRestoreInstance

          CommunicationType addNewRestoreInstance()

      Appends and returns a new empty value (as xml) as the last "restoreInstance" element

    - #### removeRestoreInstance

          void removeRestoreInstance(int i)

      Removes the ith "restoreInstance" element